Name:		openlierox
Version:	0.58_rc3
Release:	%mkrel 1
Source:		OpenLieroX_%{version}.src.tar.bz2
Patch0:		openlierox-0.58_rc1-curl.patch
Patch1:		openlierox-0.58_rc3-fstat.patch
URL:		http://openlierox.sourceforge.net/
Group:		Games/Arcade
License:	LGPLv2
Summary:	Extremely addictive realtime worms shoot-em-up
BuildRoot:	%{_tmppath}/%{name}-%{version}
BuildRequires:	SDL-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	SDL_image-devel
BuildRequires:	libhawknl-devel
BuildRequires:	libgd-devel
BuildRequires:	zlib-devel
BuildRequires:	libxml2-devel
BuildRequires:	libzip-devel
BuildRequires:	curl-devel
Requires:	%{name}-gamedata = %{version}-%{release}

%description
OpenLierox is an extremely addictive realtime worms shoot-em-up backed
by an active gamers community. Dozens of levels and mods are available
to provide endless gaming pleasure.

%package	gamedata
Summary:	Game data for %{name}
License:	LGPLv2
Group:		Games/Arcade
# We split game data to separate package to make it noarch and thus save
# bandwidth and space on distribution media.
BuildArch:	noarch
Requires:	%{name} = %{version}-%{release}

%description	gamedata
Game data for %{name}.

%prep
%setup -q -n OpenLieroX
%patch0 -p1
%patch1 -p1

%build
SYSTEM_DATA_DIR=%{_gamesdatadir} \
BIN_DIR=%{_gamesbindir} \
./compile.sh

%install
%__rm -rf %{buildroot}
%__mkdir_p %{buildroot}%{_gamesbindir}
SYSTEM_DATA_DIR=%{buildroot}%{_gamesdatadir} \
BIN_DIR=%{buildroot}%{_gamesbindir} \
DOC_DIR=%{buildroot}%{_docdir} \
	./install.sh
%__chmod -R o+rX %{buildroot}%{_gamesdatadir}/OpenLieroX
%__rm -rf %{buildroot}%{_docdir}

%__mkdir_p %{buildroot}%{_iconsdir}
%__cp -p %{buildroot}%{_gamesdatadir}/OpenLieroX/data/icon.png %{buildroot}%{_iconsdir}/%{name}.png

%__mkdir_p %{buildroot}%{_datadir}/applications
%__cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=OpenLieroX
Comment=Extremely addictive realtime worms shoot-em-up
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;
EOF

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING.LIB VERSION doc
%{_gamesbindir}/%{name}
%{_datadir}/applications/mandriva-%{name}.desktop
%{_iconsdir}/%{name}.png

%files gamedata
%defattr(-,root,root)
%{_gamesdatadir}/OpenLieroX



%changelog
* Wed Dec 14 2011 Andrey Bondrov <abondrov@mandriva.org> 0.58_rc3-1mdv2012.0
+ Revision: 740810
- Add patches 0 and 1 to fix build
- Add curl-devel to BuildRequires
- New version 0.58_rc3, split game data into noarch package

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuilt against libzip.so.2

* Sat Dec 11 2010 Oden Eriksson <oeriksson@mandriva.com> 0.57_beta8-2
+ Revision: 620537
- the mass rebuild of 2010.0 packages

* Fri May 15 2009 Samuel Verschelde <stormi@mandriva.org> 0.57_beta8-1mdv2010.0
+ Revision: 376294
- fix licence

  + Nicolas Vigier <nvigier@mandriva.com>
    - version 0.57_beta8 (#49294)
    - add icon in menu (#49295)

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 0.57_beta3-3mdv2009.0
+ Revision: 254817
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Thu Jan 03 2008 Olivier Blin <blino@mandriva.org> 0.57_beta3-1mdv2008.1
+ Revision: 141036
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Aug 18 2007 Nicolas Vigier <nvigier@mandriva.com> 0.57_beta3-1mdv2008.0
+ Revision: 65408
- Import openlierox

